Page Summary
-
This endpoint, using the
POSTmethod, notifies that a new proofing status update is available via theGetProofingStatusmethod. -
The request body requires metadata, a device reference ID to associate requests with a specific credential, and a proofing ID.
-
The request body is a JSON representation that contains
requestMetadata,deviceReferenceId, andproofingIdfields. -
The successful response body contains a JSON representation that includes
responseMetadata, which provides metadata about the response.
An endpoint to indicate that there is a new status update that can be retrieved using GetProofingStatus.
HTTP request
POST https://vgw.googleapis.com/be/mdl/canonical/:issuerId/v1/notifyProofingStatusUpdateAvailable
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requestMetadata": {
object ( |
| Fields | |
|---|---|
requestMetadata |
The metadata about the request, required in all requests. |
deviceReferenceId |
The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them. This id is supplied in all requests, and can be used to correlate requests. |
proofingId |
An opaque identifier representing a proofing with a specific bundle of evidence, for a specific device. Ex: UUID |
Response body
An acknowledgement that there is a proofing status update available.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"responseMetadata": {
object ( |
| Fields | |
|---|---|
responseMetadata |
The metadata about the response, required in all responses. |